%define svn_rev 1770165
%define Werror_cflags %{nil}

%define major 0
%define libguestlib %mklibname guestlib %{major}
%define libhgfs %mklibname hgfs %{major}
%define libvmtools %mklibname vmtools %{major}
%define devname %mklibname open-vm-tools -d

Summary:	Open Virtual Machine Tools
Name:		open-vm-tools
Version:	9.4.6
Release:	4
License:	GPLv2+
Group:		Emulators
Url:		http://open-vm-tools.sourceforge.net/
Source0:	%{name}-%{version}-%{svn_rev}.tar.gz
Source1:	vmtoolsd.service
Patch0:		g_info_redefine.patch
Patch1:		sizeof_argument.patch
BuildRequires:	autoconf
BuildRequires:	doxygen
BuildRequires:	dnet-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libprocps)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
Requires(post,preun,postun):	systemd

%description
Open Virtual Machine Tools (open-vm-tools) are the open source
implementation of VMware Tools. They are a set of guest operating
system virtualization components that enhance performance and user
experience of virtual machines. As virtualization technology rapidly
becomes mainstream, each virtualization solution provider implements
their own set of tools and utilities to supplement the guest virtual
machine. However, most of the implementations are proprietary and are
tied to a specific virtualization platform.

With the Open Virtual Machine Tools project, we are hoping to solve
this and other related problems. The tools are currently composed of
kernel modules for Linux and user-space programs for all VMware
supported Unix-like guest operating systems. They provide several
useful functions like:

* File transfer between a host and guest

* Improved memory management and network performance under
   virtualization

* General mechanisms and protocols for communication between host and
guests and from guest to guest

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_sysconfdir}/vmware-tools/
%{_bindir}/vmtoolsd
%{_bindir}/vmware-checkvm
%{_bindir}/vmware-hgfsclient
%{_bindir}/vmware-rpctool
%{_bindir}/vmware-toolbox-cmd
%{_bindir}/vmware-xferlogs
%{_bindir}/vm-support
%{_sbindir}/mount.vmhgfs
/sbin/mount.vmhgfs
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/common
%{_libdir}/%{name}/plugins/common/*.so
%dir %{_libdir}/%{name}/plugins/vmsvc
%{_libdir}/%{name}/plugins/vmsvc/*.so
%{_datadir}/%{name}/
%{_unitdir}/vmtoolsd.service

%post
%systemd_post vmtoolsd.service

%preun
%systemd_preun vmtoolsd.service

# Tell VMware that open-vm-tools is being uninstalled
if [ "$1" = "0" -a \
 -e %{_bindir}/vmware-checkvm -a \
 -e %{_bindir}/vmware-rpctool ] && \
 %{_bindir}/vmware-checkvm &> /dev/null; then
 %{_bindir}/vmware-rpctool 'tools.set.version 0' &> /dev/null || /bin/true
fi

%postun
%systemd_postun vmtoolsd.service

#----------------------------------------------------------------------------

%package -n %{libguestlib}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	open-vm-tools < 9.4.6-3

%description -n %{libguestlib}
Shared library for %{name}.

%files -n %{libguestlib}
%{_libdir}/libguestlib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libhgfs}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	open-vm-tools < 9.4.6-3

%description -n %{libhgfs}
Shared library for %{name}.

%files -n %{libhgfs}
%{_libdir}/libhgfs.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libvmtools}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	open-vm-tools < 9.4.6-3

%description -n %{libvmtools}
Shared library for %{name}.

%files -n %{libvmtools}
%{_libdir}/libvmtools.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Open Virtual Machine Tools development files
Group:		Development/Other
Requires:	%{libguestlib} = %{EVRD}
Requires:	%{libhgfs} = %{EVRD}
Requires:	%{libvmtools} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 9.4.6-3
Obsoletes:	%{name}-devel < 9.4.6-3

%description -n %{devname}
Open Virtual Machine Tools development files

%files -n %{devname}
%doc docs/api/build/*
%{_includedir}/vmGuestLib/*
%{_libdir}/libhgfs.so
%{_libdir}/pkgconfig/vmguestlib.pc
%{_libdir}/libguestlib.so
%{_libdir}/libvmtools.so

#----------------------------------------------------------------------------

%package desktop
Summary:	User experience components for Open Virtual Machine Tools
Group:		Emulators
Requires:	%{name} = %{EVRD}

%description desktop
This package contains only the user-space programs and libraries of
%{name} that are essential for improved user experience of VMware virtual
machines.

%files desktop
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/vmware-user-suid-wrapper
%{_bindir}/vmware-vmblock-fuse
%{_libdir}/%{name}/plugins/vmusr/

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{svn_rev}
%patch0 -p1 -b .g_info~
%patch1 -p1 -b .sizeof~

# Remove "Encoding" key from the "Desktop Entry"
sed -e "s|^Encoding.*$||g" -i ./vmware-user-suid-wrapper/vmware-user.desktop.in

%build
export CUSTOM_PROCPS_NAME=procps
export CUSTOM_PROCPS_LIBS="$(pkg-config --libs libprocps)"
autoreconf -fiv
export CXX=g++

%configure2_5x \
	--disable-static \
	--without-kernel-modules \
	--without-root-privileges \
	--with-procps \
	--with-dnet \
	LIBS="-ltirpc"

%make CFLAGS="%{optflags} -Wno-implicit-function-declaration"

%install
%makeinstall_std

chmod 644 %{buildroot}%{_sysconfdir}/pam.d/*
ln -sf %{_sbindir}/mount.vmhgfs %{buildroot}/sbin/mount.vmhgfs

# Move vm-support to /usr/bin
mv %{buildroot}%{_sysconfdir}/vmware-tools/vm-support %{buildroot}%{_bindir}

# Systemd unit files
install -p -m644 %{SOURCE1} -D %{buildroot}%{_unitdir}/vmtoolsd.service


%changelog

* Fri Jun 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 9.4.6-4
- (13bd677) Don't ship DKMS, it doesn't support new kernels


